Uxioserv can't be started on Linux 64bit "libgcc_s.so.1 must be installed for pthread_cancel to work"

Document ID : KB000085642
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Affects Release version(s): 5

Error Message :
In the uxioserv.log:
##########################
libgcc_s.so.1 must be installed for pthread_cancel to work
##########################

Patch level detected:Dollar Universe 5.6
Product Version: Dollar.Universe 5.6.0 FX25010 or Dollar.Universe 5.3.3 FX25002

Description :Dollar Universe can't be started in a Linux 64 system.
Environment:
OS: Linux
OS Version: Linux 64Bits
Cause:
Cause type:
Configuration
Root Cause: The necessary 32 bits version of the library "libgcc_s.so.1" is missing.
Resolution:
The 32 bits version of libgcc_s.so.1 must be installed.
Note: even if the 64 bits version of this library is installed, it's not sufficient as Dollar Universe 5 is a 32bit application.

If your system is Redhat, you can launch the following command to install the rpm:
yum install libgcc.i686


Fix Status: No Fix

Additional Information:
Workaround :
N/A